# Restore Usage Limit Original Values
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/usage-limits-management/restore-usage-limit-original-values/index.md

## Overview {#overview}

The use case describes how you restore the usage limit values configured during the onboarding process.

Let us assume that during product implementation, you set a `DAILY_TOTAL` limit on the product level in the CMS with the following properties:

* maxNumber = 10
* maxSingleAmount = 1000 USD
* maxTotalAmount = 10000 USD

<br />

Later, during the product lifecycle, one of your cardholders changed their daily limit through your e-banking service to:

* maxNumber = 100
* maxSingleAmount = 9000 USD
* maxTotalAmount = 90000 USD

<br />

If you want to provide an option in your e-banking service to restore the default limits for the cardholder, you can use the `restoreUsageLimitDefaultValues` API to revert the limit parameters to those initially set during the product implementation in the CMS.

## Sequence diagram {#sequence-diagram}

Diagram restore-usage-limit-original-values

### Explanation {#explanation}

1. The server sends a `PUT` request to the `/contracts/{contract_id}/usage-limits/{usage_limit_code}/original-values` endpoint by passing the required `restore` field with the `true` value in the request body.  
   To restore original values of the usage limit on the account contract or card contract level, the server must put the `accountContractId` or `cardContractId`, respectively, in place of the `contract_id` in the path. Note: Possible values for the `usage_limit_code` parameter are defined during the onboarding process. Refer to [Usage Limits](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/usage-limits/index.md) for more information.
2. The API returns the HTTP status `204`.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/usage-limits-management/restore-usage-limit-original-values/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `PUT /contracts/{contract_id}/usage-limits/{usage_limit_code}/original-values`

